#include <stdio.h>
#include <process.h>
#include <malloc.h>

typedef  unsigned short     uint16;      //有符号16bit整型
typedef  unsigned long int  uint32;      //无符号32bit整型
typedef  long int           int32;      //有符号32bit整型
typedef  unsigned char      uint8;        //无符号8bit整型
typedef  signed char        int8;        //有符号8bit整型
typedef  signed short       int16;       //有符号16bit整型


typedef struct fontInfo 
{
	char tag[6];
	int16 reva;
	int32 fileSize;

	int32 uIndexOff, uIndexLen;

	int32 pointOff, pointLen;

	int8 gbWidth, ascWidth, height, revb;

	uint8 name[20];		//字库名
	uint8 vendor[20];	//作者

	uint8 revc[56];
}T_FONTFILE_INFO;

int main(void)
{
	T_FONTFILE_INFO head = {0};
	FILE f1;

	strcpy(head.tag, "TSFONT");

	f1 = fopen("font16.tsf", "r|c")
	

	printf("size = %d", sizeof(T_FONTFILE_INFO));
	system("pause");

	return 0;
}